Your submission was sent successfully! Close

CVE-2014-5044

Published: 7 March 2018

Multiple integer overflows in libgfortran might allow remote attackers to execute arbitrary code or cause a denial of service (Fortran application crash) via vectors related to array allocation.

Priority

Low

CVSS 3 base score: 9.8

Status

Package Release Status
gcc-4.5
Launchpad, Ubuntu, Debian
artful Does not exist

upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.1
Launchpad, Ubuntu, Debian
upstream Ignored
(reached end-of-life)
lucid Ignored
(reached end-of-life)
precise Does not exist

trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.3
Launchpad, Ubuntu, Debian
upstream Ignored
(reached end-of-life)
lucid Ignored
(reached end-of-life)
precise Does not exist

trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.4
Launchpad, Ubuntu, Debian
upstream Needed

lucid Ignored
(reached end-of-life)
precise Does not exist
(precise was needed)
trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
vivid Ignored
(reached end-of-life)
wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.6
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Ignored
(end of ESM support, was needed)
trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.7
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Needed

utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

xenial Ignored
(end of standard support, was needed)
vivid Ignored
(reached end-of-life)
gcc-4.8
Launchpad, Ubuntu, Debian
upstream
Released (4.8.3-7)
lucid Does not exist

precise Does not exist

trusty
Released (4.8.4-2ubuntu1~14.04)
utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Not vulnerable
(4.8.4-2ubuntu1~14.04)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Ignored
(reached end-of-life)
bionic Not vulnerable
(4.8.4-2ubuntu1~14.04)
cosmic Not vulnerable
(4.8.4-2ubuntu1~14.04)
disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.9
Launchpad, Ubuntu, Debian
upstream
Released (4.9.1-4)
lucid Does not exist

precise Does not exist

trusty Does not exist

utopic Ignored
(reached end-of-life)
vivid Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial
Released (4.9.1-4ubuntu1)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-snapshot
Launchpad, Ubuntu, Debian
upstream
Released (4.10-20140622)
lucid Ignored
(reached end-of-life)
precise Does not exist
(precise was needed)
trusty Does not exist
(trusty was needed)
utopic Not vulnerable
(20140715-0ubuntu1)
wily Not vulnerable
(20140715-0ubuntu1)
xenial Not vulnerable
(20140715-0ubuntu1)
yakkety Not vulnerable
(20140715-0ubuntu1)
zesty Not vulnerable
(20140715-0ubuntu1)
artful Not vulnerable
(20140715-0ubuntu1)
bionic Not vulnerable
(20140715-0ubuntu1)
cosmic Not vulnerable
(20140715-0ubuntu1)
disco Not vulnerable
(20140715-0ubuntu1)
eoan Not vulnerable
(20140715-0ubuntu1)
focal Not vulnerable
(20140715-0ubuntu1)
impish Not vulnerable
(20140715-0ubuntu1)
groovy Not vulnerable
(20140715-0ubuntu1)
hirsute Not vulnerable
(20140715-0ubuntu1)
jammy Not vulnerable
(20140715-0ubuntu1)
vivid Not vulnerable
(20140715-0ubuntu1)
gcc-i686-linux-android
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was not-affected [provides C/C++ toolchain only])
utopic Not vulnerable
(provides C/C++ toolchain only)
wily Not vulnerable
(provides C/C++ toolchain only)
xenial Not vulnerable
(provides C/C++ toolchain only)
yakkety Not vulnerable
(provides C/C++ toolchain only)
zesty Not vulnerable
(provides C/C++ toolchain only)
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Not vulnerable
(provides C/C++ toolchain only)
gcc-3.3
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was not-affected [provides libstdc++5 only])
trusty Not vulnerable
(provides libstdc++5 only)
utopic Not vulnerable
(provides libstdc++5 only)
wily Not vulnerable
(provides libstdc++5 only)
xenial Not vulnerable
(provides libstdc++5 only)
yakkety Not vulnerable
(provides libstdc++5 only)
zesty Not vulnerable
(provides libstdc++5 only)
artful Not vulnerable
(provides libstdc++5 only)
bionic Not vulnerable
(provides libstdc++5 only)
cosmic Not vulnerable
(provides libstdc++5 only)
disco Not vulnerable
(provides libstdc++5 only)
eoan Not vulnerable
(provides libstdc++5 only)
focal Not vulnerable
(provides libstdc++5 only)
impish Not vulnerable
(provides libstdc++5 only)
groovy Not vulnerable
(provides libstdc++5 only)
hirsute Not vulnerable
(provides libstdc++5 only)
jammy Not vulnerable
(provides libstdc++5 only)
vivid Not vulnerable
(provides libstdc++5 only)
gcc-4.4-armel-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.4-armhf-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.5-armel-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.5-armhf-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.6-armel-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.6-armhf-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.7-arm64-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.7-armel-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
vivid Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

xenial Ignored
(end of standard support, was needed)
gcc-4.7-armhf-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
vivid Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

xenial Ignored
(end of standard support, was needed)
gcc-4.7-powerpc-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-4.8-arm64-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Not vulnerable
(2)
yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.8-armhf-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Not vulnerable
(2)
yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.8-powerpc-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Not vulnerable
(2)
yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.8-ppc64el-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Not vulnerable
(2)
yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.9-arm64-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist

utopic Ignored
(reached end-of-life)
wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.9-armhf-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist

utopic Ignored
(reached end-of-life)
wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.9-powerpc-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist

utopic Ignored
(reached end-of-life)
wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-4.9-ppc64el-cross
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist

utopic Ignored
(reached end-of-life)
wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Ignored
(reached end-of-life)
gcc-arm-linux-androideabi
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

xenial Ignored
(end of standard support, was needed)
vivid Ignored
(reached end-of-life)
gcc-arm-none-eabi
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was needed)
utopic Ignored
(reached end-of-life)
vivid Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Ignored
(reached end-of-life)
bionic Needed

cosmic Ignored
(reached end-of-life)
disco Ignored
(reached end-of-life)
eoan Ignored
(reached end-of-life)
focal Needed

impish Needed

hirsute Ignored
(reached end-of-life)
groovy Ignored
(reached end-of-life)
jammy Needed

xenial Ignored
(end of standard support, was needed)
gcc-avr
Launchpad, Ubuntu, Debian
upstream Needs triage

lucid Not vulnerable
(provides C/C++ runtimes only)
precise Does not exist
(precise was not-affected [provides C/C++ runtimes only])
trusty Does not exist
(trusty was not-affected [provides C/C++ runtimes only])
utopic Not vulnerable
(provides C/C++ runtimes only)
vivid Not vulnerable
(provides C/C++ runtimes only)
wily Not vulnerable
(provides C/C++ runtimes only)
xenial Not vulnerable
(provides C/C++ runtimes only)
yakkety Not vulnerable
(provides C/C++ runtimes only)
zesty Not vulnerable
(provides C/C++ runtimes only)
artful Not vulnerable
(provides C/C++ runtimes only)
bionic Not vulnerable
(provides C/C++ runtimes only)
cosmic Not vulnerable
(provides C/C++ runtimes only)
disco Not vulnerable
(provides C/C++ runtimes only)
eoan Not vulnerable
(provides C/C++ runtimes only)
focal Not vulnerable
(provides C/C++ runtimes only)
impish Not vulnerable
(provides C/C++ runtimes only)
groovy Not vulnerable
(provides C/C++ runtimes only)
hirsute Not vulnerable
(provides C/C++ runtimes only)
jammy Not vulnerable
(provides C/C++ runtimes only)
gcc-defaults
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Not vulnerable

precise Not vulnerable

trusty Not vulnerable

utopic Not vulnerable

wily Not vulnerable

xenial Not vulnerable

yakkety Not vulnerable

zesty Not vulnerable

artful Not vulnerable

bionic Not vulnerable

cosmic Not vulnerable

disco Not vulnerable

eoan Not vulnerable

focal Not vulnerable

impish Not vulnerable

groovy Not vulnerable

hirsute Not vulnerable

jammy Not vulnerable

vivid Not vulnerable

gcc-defaults-arm64-cross
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was not-affected)
utopic Not vulnerable

wily Not vulnerable

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Not vulnerable

gcc-defaults-armel-cross
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist
(precise was not-affected)
trusty Does not exist
(trusty was not-affected)
utopic Not vulnerable

wily Not vulnerable

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Not vulnerable

gcc-defaults-armhf-cross
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist
(precise was not-affected)
trusty Does not exist
(trusty was not-affected)
utopic Not vulnerable

wily Not vulnerable

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Not vulnerable

gcc-defaults-powerpc-cross
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was not-affected)
utopic Not vulnerable

wily Not vulnerable

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Not vulnerable

gcc-defaults-ppc64el-cross
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was not-affected)
utopic Not vulnerable

wily Not vulnerable

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

vivid Not vulnerable

gcc-h8300-hms
Launchpad, Ubuntu, Debian
upstream Needed

lucid Not vulnerable
(provides C/C++ runtimes only)
precise Does not exist
(precise was not-affected [provides C/C++ runtimes only])
trusty Does not exist
(trusty was not-affected [provides C/C++ runtimes only])
utopic Not vulnerable
(provides C/C++ runtimes only)
wily Not vulnerable
(provides C/C++ runtimes only)
xenial Not vulnerable
(provides C/C++ runtimes only)
yakkety Not vulnerable
(provides C/C++ runtimes only)
zesty Not vulnerable
(provides C/C++ runtimes only)
artful Not vulnerable
(provides C/C++ runtimes only)
bionic Not vulnerable
(provides C/C++ runtimes only)
cosmic Not vulnerable
(provides C/C++ runtimes only)
disco Not vulnerable
(provides C/C++ runtimes only)
eoan Not vulnerable
(provides C/C++ runtimes only)
focal Not vulnerable
(provides C/C++ runtimes only)
impish Not vulnerable
(provides C/C++ runtimes only)
groovy Not vulnerable
(provides C/C++ runtimes only)
hirsute Not vulnerable
(provides C/C++ runtimes only)
jammy Not vulnerable
(provides C/C++ runtimes only)
vivid Not vulnerable
(provides C/C++ runtimes only)
gcc-m68hc1x
Launchpad, Ubuntu, Debian
upstream Needed

lucid Not vulnerable
(provides C runtime only)
precise Does not exist
(precise was not-affected [provides C runtime only])
trusty Does not exist
(trusty was not-affected [provides C runtime only])
utopic Not vulnerable
(provides C runtime only)
wily Not vulnerable
(provides C runtime only)
xenial Not vulnerable
(provides C runtime only)
yakkety Not vulnerable
(provides C runtime only)
zesty Not vulnerable
(provides C runtime only)
artful Not vulnerable
(provides C runtime only)
bionic Not vulnerable
(provides C runtime only)
cosmic Not vulnerable
(provides C runtime only)
disco Not vulnerable
(provides C runtime only)
eoan Not vulnerable
(provides C runtime only)
focal Not vulnerable
(provides C runtime only)
impish Not vulnerable
(provides C runtime only)
groovy Not vulnerable
(provides C runtime only)
hirsute Not vulnerable
(provides C runtime only)
jammy Not vulnerable
(provides C runtime only)
vivid Not vulnerable
(provides C runtime only)
gccgo-go
Launchpad, Ubuntu, Debian
yakkety Does not exist

upstream Not vulnerable

lucid Does not exist

precise Does not exist

trusty Does not exist
(trusty was not-affected)
utopic Not vulnerable

vivid Does not exist

wily Does not exist

xenial Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-mingw-w64
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was needed)
trusty Needed

utopic Ignored
(reached end-of-life)
wily Ignored
(reached end-of-life)
xenial Not vulnerable
(16)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
artful Ignored
(reached end-of-life)
bionic Not vulnerable
(16)
cosmic Not vulnerable
(16)
disco Not vulnerable
(16)
eoan Not vulnerable
(16)
focal Not vulnerable
(16)
impish Not vulnerable
(16)
groovy Not vulnerable
(16)
hirsute Not vulnerable
(16)
jammy Not vulnerable
(16)
vivid Ignored
(reached end-of-life)
gcc-mingw32
Launchpad, Ubuntu, Debian
upstream Needed

lucid Ignored
(reached end-of-life)
precise Does not exist

trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gcc-msp430
Launchpad, Ubuntu, Debian
upstream Needed

lucid Does not exist

precise Does not exist
(precise was not-affected [provides C/C++ runtimes only])
trusty Does not exist
(trusty was not-affected [provides C/C++ runtimes only])
utopic Not vulnerable
(provides C/C++ runtimes only)
wily Not vulnerable
(provides C/C++ runtimes only)
xenial Not vulnerable
(provides C/C++ runtimes only)
yakkety Not vulnerable
(provides C/C++ runtimes only)
zesty Not vulnerable
(provides C/C++ runtimes only)
artful Not vulnerable
(provides C/C++ runtimes only)
bionic Not vulnerable
(provides C/C++ runtimes only)
cosmic Not vulnerable
(provides C/C++ runtimes only)
disco Not vulnerable
(provides C/C++ runtimes only)
eoan Not vulnerable
(provides C/C++ runtimes only)
focal Not vulnerable
(provides C/C++ runtimes only)
impish Not vulnerable
(provides C/C++ runtimes only)
groovy Not vulnerable
(provides C/C++ runtimes only)
hirsute Not vulnerable
(provides C/C++ runtimes only)
jammy Not vulnerable
(provides C/C++ runtimes only)
vivid Not vulnerable
(provides C/C++ runtimes only)
gcc-opt
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist
(precise was not-affected)
trusty Does not exist
(trusty was not-affected)
utopic Not vulnerable

wily Not vulnerable

xenial Not vulnerable

yakkety Not vulnerable

zesty Not vulnerable

artful Not vulnerable

bionic Not vulnerable

cosmic Not vulnerable

disco Not vulnerable

eoan Not vulnerable

focal Not vulnerable

impish Not vulnerable

groovy Not vulnerable

hirsute Not vulnerable

jammy Not vulnerable

vivid Not vulnerable

gccgo-4.7
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist
(precise was not-affected)
trusty Does not exist

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

gccgo-4.9
Launchpad, Ubuntu, Debian
upstream Not vulnerable

lucid Does not exist

precise Does not exist

trusty Not vulnerable

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

eoan Does not exist

focal Does not exist

impish Does not exist

groovy Does not exist

hirsute Does not exist

jammy Does not exist

Notes

AuthorNote
sbeattie
issues are in libgfortran/fortran runtime
gcc-avr only builds gcc and g++ compilers/runtimes
gcc-X.X-cross packages have fortran compiler/runtimes in
universe
gcc-XX-defaults packages do not actually include gcc, just
symlinks to the default version to use per release/arch/tool
gccgo packages are (surprise!) only interested in go runtimes
gcc-opt is a wrapper for setting gcc arguments

References

Bugs